Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.impl
Class DefaultLogEventFactory

    java.lang.Object
      org.apache.logging.log4j.core.impl.DefaultLogEventFactory

All Implemented Interfaces:
  LogEventFactory

    public class DefaultLogEventFactory

extends Object
implements LogEventFactory

Constructor Summary
`DefaultLogEventFactory()`

Method Summary
`LogEvent` | `createEvent(String loggerName, org.apache.logging.log4j.Marker marker, String fqcn, org.apache.logging.log4j.Level level, org.apache.logging.log4j.message.Message data, List<Property> properties, Throwable t)` Creates a log event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLogEventFactory

    public DefaultLogEventFactory()

Method Detail

### createEvent

    public LogEvent createEvent(String loggerName,
                                org.apache.logging.log4j.Marker marker,
                                String fqcn,
                                org.apache.logging.log4j.Level level,
                                org.apache.logging.log4j.message.Message data,
                                List<Property> properties,
                                Throwable t)

  Creates a log event.

  Specified by:
    `createEvent` in interface `LogEventFactory`
  Parameters:
    `loggerName` - The name of the Logger.
    `marker` - An optional Marker.
    `fqcn` - The fully qualified class name of the caller.
    `level` - The event Level.
    `data` - The Message.
    `properties` - Properties to be added to the log event.
    `t` - An optional Throwable.
  Returns:
    The LogEvent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.